﻿using System;
using System.Data;
using System.Linq;
using System.Linq.Expressions;
using System.Data.Common;
using System.Collections.Generic;
using Telerik.OpenAccess;
using Telerik.OpenAccess.Metadata;
using Telerik.OpenAccess.Data.Common;
using Telerik.OpenAccess.Metadata.Fluent;
using Telerik.OpenAccess.Metadata.Fluent.Advanced;
using System.ComponentModel.DataAnnotations;

namespace FluentDataAnnotations
{
    public partial class Product
    {
        private int iD;
        [Required()]
        [Key()]
        public int ID 
        {
            get
            {
                return this.iD;
            }
            set
            {
                this.iD = value;
            }
        }

        private string name;
        [StringLength(50)]
        [Required()]
        public string Name
        {
            get
            {
                return this.name;
            }
            set
            {
                this.name = value;
            }
        }

        private string description;
        public string Description
        {
            get
            {
                return this.description;
            }
            set
            {
                this.description = value;
            }
        }

        private int availableQuantity;
        public int AvailableQuantity
        {
            get
            {
                return this.availableQuantity;
            }
            set
            {
                this.availableQuantity = value;
            }
        }

        private DateTime? orderDate;
        [DataType(DataType.DateTime)]
        public virtual DateTime? OrderDate
        {
            get
            {
                return this.orderDate;
            }
            set
            {
                this.orderDate = value;
            }
        }
    }
}
